"""Read in contour data file and plot max and min
"""

import project
from pylab import plot, xlabel, ylabel, savefig, ion, close, axis, title, legend, grid
from os import sep
 
directory = project.outputdir

#timedir = '20070618_063824_run_final_2.4_onslow_nbartzis'
timedir = '20070620_044413_run_final_2.4_exmouth_nbartzis'
#timedir = '20070419_065050_run_final_2.4_dampier_nbartzis'

def get_data(filename):
    fid = open(filename)
    lines = fid.readlines()
    fid.close()
    stage = []
    for line in lines[1:]:
        fields = line.split(',')
        stage.append(float(fields[2]))
    return max(stage), min(stage)

# Dampier
files = ['stage0_convert_d.csv','stage5_convert_d.csv','stage20_convert_d.csv','stage80_convert_d.csv']
depth = [0,5,20,80]
# Karratha
#files = ['stage0_convert_k.csv','stage5_convert_k.csv','stage20_convert_k.csv','stage80_convert_k.csv']

stage_max = []
stage_min = []

for thefile in files:

    filename = directory + timedir + sep + thefile
    max_stage, min_stage = get_data(filename)
    stage_max.append(max_stage)
    stage_min.append(min_stage)

from anuga.abstract_2d_finite_volumes.util import greens_law
from Numeric import arange
d1 = 80.
d2 = arange(d1,0.15,-0.1)
h1 = max_stage
#h1 = 4.0
green = []
for d in d2:
    h2 = greens_law(d1,d,h1)
    green.append(h2)
    
ion()
plot(depth,stage_max,'ob',d2,green,'-g',depth,stage_max,'-b')
xlabel('depth (m)') 
ylabel('stage (m)')
# Dampier
title('ANUGA modelled maximum stage versus Green\'s approximation \n \
Magnitude 9.3 event (Java) at Dampier')
#title('ANUGA modelled maximum stage versus Green\'s approximation \n \
#Magnitude 9.1 event (Sumba) at Dampier')
#title('ANUGA modelled maximum stage versus Green\'s approximation \n \
#Magnitude 9.0 event (Sumba) at Dampier')
# Karratha
#title('ANUGA modelled maximum stage versus Green\'s approximation \n \
#Magnitude 9.3 event (Java) at Karratha')
#title('ANUGA modelled maximum stage versus Green\'s approximation \n \
#Magnitude 9.1 event (Sumba) at Karratha')
#title('ANUGA modelled maximum stage versus Green\'s approximation \n \
#Magnitude 9.0 event (Sumba) at Karratha')

legend(['ANUGA','Green\'s law'])
axis([-5,85,min(stage_max)*0.9,max(stage_max)*1.1])
grid(True)
#savefig('stratification_onslow_gun')
savefig('stratification_exmouth_gun')
#savefig('stratification_dampier_gun')

close('all')

